document_id
stringlengths
8
12
document
stringlengths
50
3.21k
split
stringclasses
1 value
d_bash_13200
--- +++ @@ -44,7 +44,7 @@ echo "Uploading assets" echo "----" -/usr/local/bin/upload-blog-assets.sh $(pwd)/public +/usr/local/bin/upload_blog_assets.sh $(pwd)/public echo "Creating RPM" echo "----"
bash
d_bash_13201
--- +++ @@ -1,4 +1,4 @@ -#!/usr/bin/sh +#!/bin/bash echo "Sample test code" # Alternative: test a specific file
bash
d_bash_13202
--- +++ @@ -34,6 +34,6 @@ mv "gui/deploy/bundles/bitsquare-$fullVersion.deb" "gui/deploy/Bitsquare-$fullVersion.deb" rmdir gui/deploy/bundles cp "gui/deploy/Bitsquare-$fullVersion.deb" "/home/mk/Desktop/sf_vm_shared_ubuntu/Bitsquare-64bit-$fullVersion.deb" -cp "gui/deploy/Bitsquare-64bit-$fullVersion.deb" "/home/m...
bash
d_bash_13203
--- +++ @@ -20,8 +20,7 @@ test $size -eq 1099511627776 } -function teardown() -{ +function teardown() { umount $mount_dir rm -Rf $mount_dir }
bash
d_bash_13204
--- +++ @@ -2,7 +2,7 @@ apt-get update -qq 1> /dev/null # Dev requirements -apt-get install -qq -y python-flask python-cherrypy3 python-objgraph 1> /dev/null +apt-get install -qq -y python-flask python-cherrypy3 python-objgraph htop 1> /dev/null # Build requirements apt-get install -qq -y devscripts debhelper...
bash
d_bash_13205
--- +++ @@ -3,3 +3,9 @@ source ${projectDir}bash-toolbox/${path//\./\/}.sh done } + +exclude(){ + for path in ${@}; do + unset ${string/*./} + done +}
bash
d_bash_13206
--- +++ @@ -18,7 +18,7 @@ echo "Adding, committing, and pushing to snapshots branch" cd $HOME/snapshots || die_with "Failed to change to snapshots directory!" -git add -f . && git commit -m "Oxide Patcher 2.0.$TRAVIS_BUILD_NUMBER" || die_with "Failed to add and commit files with git!" +git add -f . && git commit ...
bash
d_bash_13207
--- +++ @@ -21,7 +21,7 @@ done # turn off screen locking -xfconf-query -c xfce4-power-manager -p /xfce4-power-manager/lock-screen-suspend-hibernate -s false +xfconf-query -c xfce4-power-manager -n -t bool -p /xfce4-power-manager/lock-screen-suspend-hibernate -s false # prevent the screensaver from locking ...
bash
d_bash_13208
--- +++ @@ -9,4 +9,4 @@ docker build -t ${project_name} . && \ docker stop ${project_name} && \ docker rm ${project_name} && \ -docker run -dp 8282:80 --link mongo_${project_name}:mongo --name ${project_name} --restart=always ${project_name} +docker run -dp 8383:80 --link mongo_${project_name}:mongo --name ${proje...
bash
d_bash_13209
--- +++ @@ -9,12 +9,13 @@ p=`grep "PROJECT:" VERSION | cut -f2 -d " "` #TAG="git tag v$v" LASTTAG=`git describe --tags --abbrev=0` -tmpfile='' +tmpfile=$(mktemp /tmp/_tagAndPush.XXXXX) EXTRALOGCMD='' if [ -n "$LASTTAG" ]; then EXTRALOGCMD="${LASTTAG}..HEAD " - tmpfile=$(mktemp /tmp/_tagAndPush.XXXXX) git log...
bash
d_bash_13210
--- +++ @@ -1,6 +1,6 @@ #! /bin/bash go build -ldflags "-linkmode external -extldflags -static" -docker build -t caiopo/raft . +docker build -t caiopo/raft:latest . rm raft -docker push caiopo/raft +docker push caiopo/raft:latest
bash
d_bash_13211
--- +++ @@ -8,7 +8,10 @@ } playcurrentdir() { - mpvp <(find "$PWD" -type f -follow -not -path '*/\.*') + TMP=$(mktemp .mpv.XXX) # Must be in current dir for relative paths. + find "$PWD" -type f -follow -not -path '*/\.*' > $TMP + mpvp $TMP + rm $TMP } alias pcd='playcurrentdir'
bash
d_bash_13212
--- +++ @@ -1 +1,13 @@ -node ./bin/clusternatorCli-es5.js $@ +#!/bin/bash + +SOURCE="${BASH_SOURCE[0]}" +while [ -h "$SOURCE" ]; do # resolve $SOURCE until the file is no longer a symlink + DIR="$( cd -P "$( dirname "$SOURCE" )" && pwd )" + SOURCE="$(readlink "$SOURCE")" + [[ $SOURCE != /* ]] && SOURCE="$DIR/$SOUR...
bash
d_bash_13213
--- +++ @@ -15,7 +15,7 @@ # Use normalized output of git-submodule status as hashfile for tools in 'riscv-tools' 'esp-tools' ; do - git submodule status "toolchains/${tools}" | while read -r line ; do + git submodule status "toolchains/${tools}" "toolchains/qemu" | while read -r line ; do echo "${l...
bash
d_bash_13214
--- +++ @@ -3,7 +3,8 @@ if ! grep --quiet "deb http://download.virtualbox.org/virtualbox/debian '$(lsb_release -cs)' contrib non-free" /etc/apt/sources.list.d/virtualbox.list; then sh -c "echo 'deb http://download.virtualbox.org/virtualbox/debian '$(lsb_release -cs)' contrib non-free' > /etc/apt/sources.list.d/vi...
bash
d_bash_13215
--- +++ @@ -4,7 +4,7 @@ ant -f ${PROJECT}/build.xml clean fulltest checkstyle -./config/run-selenium-tests.sh +TESTMODEL_URL='http://localhost:8080/intermine-demo' ./config/run-selenium-tests.sh SELENIUM_STATUS=$? ./config/lib/parse_test_report.py "${PROJECT}/build/test/results" ANT_STATUS=$?
bash
d_bash_13216
--- +++ @@ -3,4 +3,7 @@ rustup target add $TARGET || true cargo build --target $TARGET --release -cargo test --release + +if [ $TARGET != "i686-unknown-linux-gnu" ]; then + cargo test --release +fi
bash
d_bash_13217
--- +++ @@ -4,6 +4,5 @@ sudo apt-get install python2.6 python2.6-dev python3.4 python3.4-dev pip install --use-mirrors --upgrade detox misspellings docutils -pip install https://bitbucket.org/hpk42/detox/get/tip.zip find src/ -name "*.py" | misspellings -f - detox
bash
d_bash_13218
--- +++ @@ -1,11 +1,12 @@ -echo "Enter the two filenames" -read file1 -read file2 -perm1=`ls -l $file1 | gawk '{ print $1}'` -perm2=`ls -l $file2 | gawk '{ print $1}'` +if [ $# -ne 2 ]; then + echo "arguments invalid" + exit +fi +perm1=`ls -l $1 | gawk '{ print $1}'` +perm2=`ls -l $2 | gawk '{ print $1}'` if [...
bash
d_bash_13219
--- +++ @@ -1,8 +1,8 @@ #!/bin/bash appname="DemoApplication" -zipname="${appname}-$(date -u "+%Y%m%d-%H%M%S").zip" dgname="Demo-ASG-Ubuntu" +zipname="${appname}-${dgname}-$(date -u "+%Y%m%d-%H%M%S").zip" bucket="default50-public" bucket_key="CodeDeploy" configname="CodeDeployDefault.OneAtATime"
bash
d_bash_13220
--- +++ @@ -22,7 +22,7 @@ # Set several Git-related shortcuts. - if hash mvim &>/dev/null; then; function git(){hub "$@"}; fi + if hash hub &> /dev/null; then; function git(){hub "$@"}; fi alias gs='git status' alias gss='git status --short' alias gl='git log --decorate --all'
bash
d_bash_13221
--- +++ @@ -8,7 +8,7 @@ poetry run clear-db-es-contents development.ini --app-name app --env "$FOURFRONT_ENV_NAME" # Create mapping - poetry run create-mapping-on-deploy development.ini --app-name app + poetry run create-mapping-on-deploy development.ini --app-name app --clear-queue ...
bash
d_bash_13222
--- +++ @@ -20,6 +20,7 @@ sbrink.elm emberjs.emberjs codezombiech.gitignore + eamodio.gitlens tberman.json-schema-validator PKief.material-icon-theme zhuangtongfa.Material-theme
bash
d_bash_13223
--- +++ @@ -13,7 +13,8 @@ export DM_SUBMISSIONS_BUCKET=${DM_SUBMISSIONS_BUCKET:=digitalmarketplace-documents-dev-dev} export DM_COMMUNICATIONS_BUCKET=${DM_COMMUNICATIONS_BUCKET:=digitalmarketplace-documents-dev-dev} -export DM_AGREEMENTS_BUCKET=${DM_AGREEMENTS_BUCKET:=digitalmarketplace-documents-dev-dev} +export...
bash
d_bash_13224
--- +++ @@ -30,3 +30,8 @@ else sudo apt-get --yes --force-yes install $APT_CORE fi + +# Install nlopt from source since Ubuntu 12.04 does not provide debian package for nlopt +git clone git://github.com/stevengj/nlopt +(cd nlopt; sh autogen.sh; make && sudo make install) +
bash
d_bash_13225
--- +++ @@ -34,7 +34,10 @@ su-exec shipitron bash -c 'bundle check || bundle install' fi -if ${BINARY} help "$1" 2>&1 | grep -q "shipitron $1"; then +if ls /usr/local/bundle/bin | grep -q "\b$1\b"; then + set -- su-exec shipitron bundle exec "$@" + +elif ${BINARY} help "$1" 2>&1 | grep -q "shipitron $1"; then ...
bash
d_bash_13226
--- +++ @@ -1,13 +1,4 @@ #!/bin/bash -e - -CURRENT_UID="$(id -u)" -CURRENT_GID="$(id -g)" - -if [ ${CURRENT_GID} -ne 1000 ]; then - if ! whoami &> /dev/null; then - echo "edge:x:${CURRENT_UID}:0:edge:/home/edge:/bin/bash" >> /etc/passwd - fi -fi if [[ $ENABLE_SSH = "On" ]] then
bash
d_bash_13227
--- +++ @@ -4,7 +4,7 @@ test -f ~/.git-completion.bash && . $_ # Adapt the PATH environment variable for use with MacPorts. -export PATH=/Users/bwbaugh/Library/Python/2.7/bin:/Users/bwbaugh/.cabal/bin:/opt/local/bin:/opt/local/sbin:$PATH +export PATH=/Users/bwbaugh/Library/Python/2.7/bin:/opt/local/bin:/opt/local...
bash
d_bash_13228
--- +++ @@ -4,23 +4,18 @@ echo "Installing extension" ( - # updating APT packages as per support recommendation - sudo apt-get -y -q update - sudo apt-get install ksh php-pear - cd /tmp - wget http://cdn1.netmake.com.br/download/Conexao/DB2/Linux/x64_v10.5fp8_linuxx64_dsdriver.tar.gz + wget ...
bash
d_bash_13229
--- +++ @@ -7,7 +7,7 @@ sudo apt-get update sudo apt-get install aptitude -sudo aptitude install git screen vim rubygems1.9.1 ruby1.9.1-dev ${image_viewer} ${image_editor} ${desktop_capture} +sudo aptitude install git screen vim rubygems1.9.1 ruby1.9.1-dev ipython ${image_viewer} ${image_editor} ${desktop_capture...
bash
d_bash_13230
--- +++ @@ -1,4 +1,5 @@ #!/usr/bin/env bash +set -e sudo apt-get update sudo apt-get install -y libgeos-dev sudo pip3 install --upgrade keras @@ -12,3 +13,10 @@ sudo cp -P cuda/lib64/libcudnn* /usr/local/cuda-8.0/lib64/ sudo chmod a+r /usr/local/cuda/include/cudnn.h /usr/local/cuda/lib64/libcudnn* sudo ldconfi...
bash
d_bash_13231
--- +++ @@ -3,7 +3,12 @@ function aBuild { START=$RANDOM END=$[ $START + ( $RANDOM % 100 ) ] - echo '{"start":' $START ', "end":' $END '}' + if [[ $[ $RANDOM % 2 ] -eq 0 ]]; then + OUTCOME="pass" + else + OUTCOME="fail" + fi + echo '{"start": '$START', "end": '$END', "outcome":...
bash
d_bash_13232
--- +++ @@ -4,7 +4,7 @@ if [ "x$BUILDTOOL" = "xautotools" ]; then ../configure || exit 1 echo "CONFIGURATION DONE. Compiling now." -# make check_all || exit 1 + make check_all || exit 1 # One more normal build for generating test reports ../configure || exit 1
bash
d_bash_13233
--- +++ @@ -3,7 +3,7 @@ case "$1" in java8) - echo "https://github.com/bell-sw/Liberica/releases/download/8u333+2/bellsoft-jdk8u333+2-linux-amd64.tar.gz" + echo "https://github.com/bell-sw/Liberica/releases/download/8u342+7/bellsoft-jdk8u342+7-linux-amd64.tar.gz" ;; java11) echo "https://github.com/b...
bash
d_bash_13234
--- +++ @@ -1,4 +1,4 @@ #!/bin/bash rm report/final_report.ipynb -python nbmerge.py report/header_page.ipynb divide-conquer/divide_and_conquer.ipynb greedy/greedy.ipynb dynamic-programming/dynamic_programming.ipynb run-files/question3.ipynb run-files/question4.ipynb run-files/question5.ipynb run-files/question6....
bash
d_bash_13235
--- +++ @@ -17,20 +17,25 @@ } # Targets +echo -n Testing Targets . test/targets/test_init.sh . test/targets/test_standard.sh echo assert_end Targets +echo # C Tests +echo -n Testing C . test/c/test_single-file.sh . test/c/test_multiple-file.sh . test/c/test_static-lib.sh . test/c/test_shared-lib.sh ec...
bash
d_bash_13236
--- +++ @@ -5,6 +5,7 @@ for file in Tests/*.hs; do let tests=$tests+1 + thistest="success" module=`echo $file | sed -e s/Tests\\\/// | sed -e s/\.hs//`
bash
d_bash_13237
--- +++ @@ -5,7 +5,7 @@ if [[ ("$@" != "ipwb") && ("$@" != *" -h"*) && ("$@" != *" --help"*) ]] then # Run the IPFS daemon in background, initialize configs if necessary - ipfs daemon --init & + ipfs daemon --init --migrate & # Wait for IPFS daemon to be ready while ! curl -s localhost:5001 >...
bash
d_bash_13238
--- +++ @@ -5,8 +5,12 @@ DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )" source $DIR/../common.sh +# Ubuntu-only stuff. Abort if not Ubuntu. +$IS_UBUNTU && exit 0 + curl -sSL https://get.rvm.io | bash -rvm install ruby-2.0.0-p195 +source ~/.rvm/scripts/rvm -rvm use ruby-2.0.0-p195 +rvm install 1.8 +r...
bash
d_bash_13239
--- +++ @@ -6,7 +6,7 @@ echo "Publishing generated documentation..." - SITE_DIR="$(pwd)/tmp/site" + SITE_DIR="$(pwd)/tmp/crash_docs" test -d $SITE_DIR || { echo "site dir doesn't exist: $SITE_DIR"; exit 1; } # Clone gh-pages
bash
d_bash_13240
--- +++ @@ -19,3 +19,4 @@ echo "Restart mysql..." sudo mysql -e "use mysql; update user set authentication_string=PASSWORD('') where User='root'; update user set plugin='mysql_native_password';FLUSH PRIVILEGES;" +sudo mysql -e "create schema if not exists 'nabu-3' default charset set='utf8mb4' default collate='ut...
bash
d_bash_13241
--- +++ @@ -8,7 +8,7 @@ rm -Rf "${MVN_INSTALL_DIR}" mkdir -p "${MVN_INSTALL_DIR}" - APACHE_MIRROR="$(curl -sL https://www.apache.org/dyn/closer.cgi?asjson=1 | python -c 'import sys, json; print json.load(sys.stdin)["preferred"]')" + APACHE_MIRROR="$(curl -sL https://www.apache.org/dyn/closer.cgi?asjson=1 | ...
bash
d_bash_13242
--- +++ @@ -1,3 +1,4 @@ +android list sdk --extended --no-ui --all | grep abi echo no | android create avd --force -n test -t "$1" --abi sys-img-armeabi-v7a-android-"$1" emulator -avd test -no-audio -no-window & android-wait-for-emulator
bash
d_bash_13243
--- +++ @@ -9,7 +9,7 @@ pkg_shasum=61b373c23d18e6cc752a69d5ab7f676c6216dc2853e46750a8c4ed791d68482c pkg_bin_dirs=(bin) pkg_build_deps=(core/make core/gcc) -pkg_deps=(starkandwayne/shield-agent core/glibc) +pkg_deps=(starkandwayne/shield-agent core/libarchive core/glibc) pkg_exports=( [port]=port )
bash
d_bash_13244
--- +++ @@ -1,2 +1,2 @@ #/bin/sh -/root/spark/bin/spark-submit --class vc.inreach.ml.scoring.SQSOrganizationScoringStream --deploy-mode client --driver-memory 6g --driver-cores 2 /root/spark/inreach-ml-batch.jar -model_path s3n://inreach-ml-models/ -aws remote -scoring_model OvrScoringModel +/root/spark/bin/spark-su...
bash
d_bash_13245
--- +++ @@ -1,16 +1,27 @@ # Overlord master include file # This file includes all additional library files + +OVERLORD_SOURCE='' # This function sources the individual files relative to $OVERLORD_DIR/lib/ require() { local file=$OVERLORD_DIR/lib/${1}.sh + local fn=${1//\//-} if [[ ! -e $file ]] ...
bash
d_bash_13246
--- +++ @@ -6,7 +6,10 @@ export LANGUAGE=en_US.UTF-8 echo "Pulling all branches down" -git pull origin master +git checkout master +git pull origin +git checkout 6month-report +git pull origin 6month-report echo "Bundling" /usr/local/bin/bundle
bash
d_bash_13247
--- +++ @@ -18,8 +18,6 @@ W=$(echo "$Q" | sed -e 's/.*\/quotes\///g' -e 's/<.*//g' -e 's/.*">//g') if [ "$W" -a "$TXT" ]; then echo "${WHO_COLOR}${W}${COLON_COLOR}: ${TEXT_COLOR}“${TXT}”${END_COLOR}" - # else - # quote fi } #quote
bash
d_bash_13248
--- +++ @@ -2,10 +2,8 @@ set -ev if [ "${TRAVIS_PULL_REQUEST}" = "false" -a "${TRAVIS_BRANCH}" = "master" ]; then - version=$(grep '^ *"version":' package.json | sed -e 's/^.*"\([^"]*\)",$/\1/') - if [ $(echo ${version} | grep -- '-pre$') ]; then - scripts/make-dist-package.sh ${version}.$(date -u "+...
bash
d_bash_13249
--- +++ @@ -8,3 +8,6 @@ # Build app.js node_modules/webpack/bin/webpack.js -p + +# Create log directory +mkdir logs
bash
d_bash_13250
--- +++ @@ -13,8 +13,8 @@ mkdir $BUILD_DIR fi -tar -C $TOOLS_DIR -czf $BUILD_DIR/core_phylogenomics_pipeline.tar.gz core_phylogenomics_pipeline -tar -C $WORKFLOWS_DIR -czf $BUILD_DIR/core_phylogenomics_pipeline_workflow.tar.gz core_phylogenomics_pipeline_workflow +tar -C $TOOLS_DIR/core_phylogenomics_pipeline -c...
bash
d_bash_13251
--- +++ @@ -1,4 +1,6 @@ #!/bin/bash + +set -u TESTS="faa1 test1"
bash
d_bash_13252
--- +++ @@ -17,7 +17,7 @@ for FILE in ${FILES} do - sed -i "" -e "s/SEED_VERSION/"$1"/" ${FILE} + sed -i "" -e "s/SEED_VERSION/"$1"/g" ${FILE} done # Update schemas
bash
d_bash_13253
--- +++ @@ -6,4 +6,5 @@ cd build cmake .. make +make src/mytest src/mytest
bash
d_bash_13254
--- +++ @@ -5,11 +5,13 @@ alias duh='du -sch' alias psg='ps aux | grep -i' alias gi='grep -i' -alias gri='grep -rinI' +alias gri='grep -rinI --color=always' alias fr='free -h' alias ssh='ssh -X' alias wchere='cat $(find .) 2>/dev/null | wc' alias eg='env | grep -i' +alias less='less -R' +alias l='less -R' ...
bash
d_bash_13255
--- +++ @@ -35,10 +35,17 @@ version=$(grep __version__ construi/__version__.py | cut -d "'" -f2) git_tag="v$version" - run "git tag $git_tag && git push origin $git_tag" + run git tag "$git_tag" + run git push origin "$git_tag" } setup_ssh + +echo "Publising..." publish + +echo "Tagging..." tag +ec...
bash
d_bash_13256
--- +++ @@ -4,19 +4,22 @@ # set -x set -e -REMOTEDIR=http://docs.projects.genivi.org/gdp_files/v9/ +REMOTEDIR=http://docs.projects.genivi.org/gdp_files/v9 FILELIST=md5sum-gdp-v9beta.txt while IFS='' read -r line || [[ -n "$line" ]]; do # echo DEBUG: line=$line [[ $line = \#* ]] && continue f=$(...
bash
d_bash_13257
--- +++ @@ -2,6 +2,7 @@ sudo apt-get install -y python-pytest \ unixodbc unixodbc-dev \ libboost-date-time-dev \ + libboost-system-dev \ mysql-server-5.6 mysql-client-core-5.6 mysql-client-5.6 libmyodbc \ postgresql odbc-postgresql=1:09.02.0100-2ubuntu1 sudo pip install mo...
bash
d_bash_13258
--- +++ @@ -1,2 +1,8 @@ -export PATH="$HOME/.rvm/bin:/usr/local/bin:/usr/local/sbin:$HOME/Scripts:/usr/local/share/npm/bin:$(brew --prefix homebrew/php/php54)/bin:$PATH" +# Check if we've got Homebrew before setting $PATH +if [ -x "$(command -v brew)" ]; then + export PATH="$HOME/.rvm/bin:/usr/local/bin:/usr/local/s...
bash
d_bash_13259
--- +++ @@ -3,4 +3,4 @@ /home/mloar/opt/bin/node update.js /home/mloar/opt/bin/node liquor.js /home/mloar/opt/bin/node render.js -/usr/bin/s3cmd sync -P -m 'text/html' -M out/ s3://www.belltowncrime.com/ +/usr/bin/s3cmd sync -P -m 'text/html' out/ s3://www.belltowncrime.com/
bash
d_bash_13260
--- +++ @@ -1,5 +1,5 @@ echo "> Start transpiling ES2015" echo "" -./node_modules/.bin/babel --plugins "transform-runtime" lib --ignore __tests__ --out-dir ./dist +./node_modules/.bin/babel --plugins "transform-runtime" src --ignore __tests__ --out-dir ./dist echo "" echo "> Complete transpiling ES2015"
bash
d_bash_13261
--- +++ @@ -19,4 +19,14 @@ exit 1 fi +$( "$EMACS" -batch > /dev/null 2>&1 ) || { + echo "Your emacs command ($EMACS) does not run properly." + exit 2 +}; + +$( "$EMACS" -batch --eval "(require 'ert)" > /dev/null 2>&1 ) || { + echo 'You must install the `ert` dependency; see README.md' + exit 3 +}; ...
bash
d_bash_13262
--- +++ @@ -1,4 +1,4 @@ #!/usr/bin/env zsh -coreplugins=(themes git git-extras colored-man autojump zsh_reload dirhistory zsh-syntax-highlighting zsh-autosuggestions) +coreplugins=(themes git git-extras colored-man-pages autojump zsh_reload dirhistory zsh-syntax-highlighting zsh-autosuggestions)
bash
d_bash_13263
--- +++ @@ -9,17 +9,15 @@ set -u # Treat unset variables as an error when substituting. set -x # Print command traces before executing command. -mkdir -p ${CIRCLE_TEST_REPORTS}/ -for report in $( ls ~/scratch/*.xml ); do - rname=$( basename $report ) - cp ${report} ${CIRCLE_TEST_REPORTS}/${r...
bash
d_bash_13264
--- +++ @@ -27,7 +27,7 @@ exit 1 fi -echo Found build $DIRNAME +echo Found build "$DIRNAME" if ! s3cmd info "s3://com.meteor.jenkins/$DIRNAME/InstallMeteor.exe" then @@ -35,5 +35,5 @@ exit 1 fi -s3cmd -P cp -r s3://com.meteor.jenkins/$DIRNAME/ $TARGET$RELEASE/ +s3cmd -P cp -r "s3://com.meteor.jenkin...
bash
d_bash_13265
--- +++ @@ -22,5 +22,5 @@ # exec $HOME/bin/vidalia --loglevel debug --logfile vidalia-log \ # --datadir .config/ echo "Now attempting to launch the TBB for Linux..." -exec $HOME/bin/vidalia --datadir Data/ +exec $HOME/bin/vidalia --datadir Data/Vidalia/ echo "Everything should be gone!"
bash
d_bash_13266
--- +++ @@ -16,4 +16,17 @@ cd /vagrant su -c "cd /vagrant && composer install" vagrant +if [ ! -f /etc/mysql/conf.d/vagrant.cnf ]; then + mysql -uroot -e "update mysql.user set plugin = 'mysql_native_password' where User='root';" + + tee -a /etc/mysql/conf.d/vagrant.cnf <<EOF +[mysqld] +innodb_file_per_table +s...
bash
d_bash_13267
--- +++ @@ -26,6 +26,6 @@ # See configuration file in ${KUBE_ROOT}/.golangci.yml. mkdir -p cache -docker run --rm -v $(pwd)/cache:/cache -v $(pwd):/app -e GOLANGCI_LINT_CACHE=/cache -w /app "golangci/golangci-lint:$VERSION" golangci-lint run +docker run --rm -v $(pwd)/cache:/cache -v $(pwd):/app --security-opt="l...
bash
d_bash_13268
--- +++ @@ -1,9 +1,7 @@ #!/bin/bash -service memcached start - # Install CHOP Authentication for CHOP/CID -cd /opt/apps/harvest-app/ && /opt/ve/harvest-app/bin/pip install http://github.research.chop.edu/cbmi/django-chopauth/archive/master.tar.gz +cd /opt/apps/harvest-app/ && /opt/ve/harvest-app/bin/pip install -...
bash
d_bash_13269
--- +++ @@ -22,7 +22,7 @@ cd "$BINARIES_DIR" mkdir -p root/boot -cp bzImage root/boot/bzimage +cp Image root/boot/bzimage cp rootfs.cpio.gz root/boot/initrd mkdir -p root/EFI/BOOT cp efi-part/EFI/BOOT/* root/EFI/BOOT/
bash
d_bash_13270
--- +++ @@ -15,4 +15,5 @@ # limitations under the License. # +docker-compose pull $@ docker-compose up -d --no-deps --build $@
bash
d_bash_13271
--- +++ @@ -22,7 +22,10 @@ function get_st2_components() { local ST2_COMPONENTS=$(find ${ST2_REPO_PATH}/* -maxdepth 0 -name "st2*" -type d) + echo "${ST2_COMPONENTS}" +} + +function get_st2_components_runners() { local ST2_COMPONENTS_RUNNERS=$(find ${ST2_REPO_PATH}/contrib/runners/* -maxdepth 0 -type ...
bash
d_bash_13272
--- +++ @@ -5,15 +5,16 @@ SHELF_NAME="compare-times-shelf" -trap "hg unshelve --name $SHELF_NAME" SIGINT SIGTERM +trap "hg import --no-commit $SHELF_NAME" SIGINT SIGTERM # make the old version -hg shelve --all --name $SHELF_NAME +#hg shelve --all --name $SHELF_NAME +hg diff > $SHELF_NAME && hg revert -a make...
bash
d_bash_13273
--- +++ @@ -1,4 +1,9 @@ #!/bin/sh LIBS=`pkg-config --libs libcurl 2>/dev/null || echo "-lcurl"` LIBS=`echo "$LIBS" | sed 's/^-L/-L-L/; s/ -L/ -L-L/g; s/^-l/-L-l/; s/ -l/ -L-l/g'` -rdmd --build-only -ofdub -g -debug -w -property -Isource $LIBS $* source/app.d + +# HACK to work around (r)dmd placing -lcurl before th...
bash
d_bash_13274
--- +++ @@ -6,7 +6,7 @@ alias s=subl # i2cssh profile -alias i2cssh="i2cssh -p light" +#alias i2cssh="i2cssh -p light" # Atom editor alias a=atom
bash
d_bash_13275
--- +++ @@ -1,20 +1,20 @@ # Creates the submission file for single channel cleaning. -# filename=${1} +filename=${1} -# cat run_single_channel_clean_header.txt > ${1} +cat run_single_channel_clean_header.txt > ${1} -# for (( i = 90; i < 100; i++ )); do -# sed -e "s;%ARG%;$i;g" run_single_channel_clean_te...
bash
d_bash_13276
--- +++ @@ -1,4 +1,4 @@ -DEPENDS="emacs fd aspell pandoc editorconfig-core-c" +DEPENDS="emacs fd aspell pandoc editorconfig-core-c ttf-fira-code" module_install() { printf "\n==> Cloning doom-emacs\n"
bash
d_bash_13277
--- +++ @@ -1,4 +1,6 @@ #!/bin/sh +export CFLAGS="-I$PREFIX/include" +export LDFLAGS="-L$PREFIX/lib" env MAX_READLENGTH=500 ./configure --prefix=$PREFIX --enable-zlib --disable-simd make make install prefix=$PREFIX
bash
d_bash_13278
--- +++ @@ -24,9 +24,9 @@ # List directory contents alias lsa='ls -lah' -alias l='ls -la' -alias ll='ls -l' -alias la='ls -lA' +alias l='ls -lah' +alias ll='ls -lh' +alias la='ls -lAh' # Push and pop directories on directory stack alias pu='pushd'
bash
d_bash_13279
--- +++ @@ -33,4 +33,4 @@ ## tail -alais tf='tail -f' +alias tf='tail -f'
bash
d_bash_13280
--- +++ @@ -21,8 +21,5 @@ mv -v "${SNAPSHOT_FILENAME}" "${BACKUP_PATH}" } -BACKUP_FILE_OR_PATH=${1} -BACKUP_FILENAME=${BACKUP_FILE_OR_PATH} - alias tar-snapshot='tar_snapshot_func' alias tar-snapshot-to-backup-path='tar_snapshot_to_backup_dir_func'
bash
d_bash_13281
--- +++ @@ -1,10 +1,15 @@ echo "Import latest live db backup" gzip -dc /vagrant/wordpress.sql.gz | mysql --user=root --password=root wordpress-skydreams +echo "Truncate domain mapping table" +mysql --user=skydev --password=skydev wordpress-skydreams -e 'TRUNCATE wp_domain_mapping;' + +echo "Replace live domain wi...
bash
d_bash_13282
--- +++ @@ -29,7 +29,11 @@ ./configure make sudo make install - cd .. + + # The makefile doesn't install into the active virtualenv. Install again. + cd python + python setup.py install + cd ../.. fi pip install .
bash
d_bash_13283
--- +++ @@ -1,12 +1,10 @@ check_deps() { echo "Phase 0: Checking requirements." has_deps=1 - which bzr || has_deps=0 which git || has_deps=0 - which hg || has_deps=0 which go || has_deps=0 if [[ $has_deps == 0 ]]; then - echo "Install bzr, hg, git, and golang." + echo "In...
bash
d_bash_13284
--- +++ @@ -5,7 +5,7 @@ echo "Installing gitup..." git clone https://github.com/earwig/git-repo-updater.git /tmp/git-repo-updater pushd /tmp/git-repo-updater +python setup.py install --user +popd -python setup.py install --user - -popd +sudo gem install ghi
bash
d_bash_13285
--- +++ @@ -1,9 +1,11 @@ #!/bin/bash # array of filters, to be moved to external file later -url_filters=('/\/\/lists.dragonflybsd.org\/\(mailman\|pipermail\)/d' ) +url_filters=('/lists.dragonflybsd.org\/\(mailman\|pipermail\)/d' '/<mailto:commits.*@dragonflybsd.org.*>/d' ) +# url_filters=('p' ) filtering='sed ' ...
bash
d_bash_13286
--- +++ @@ -24,7 +24,7 @@ git config alias.lol "log --pretty=oneline --abbrev-commit --graph --decorate" echo -e "New command: git changelog" -git config alias.changelog "log --pretty=oneline --abbrev-commit" +git config alias.changelog "log --pretty=oneline --abbrev-commit --decorate --color" # TODO: See if it'...
bash
d_bash_13287
--- +++ @@ -1,4 +1,24 @@ #!/bin/sh + +LTV="libtoolize (GNU libtool) 1.2d" +ACV="Autoconf version 2.13" +AMV="automake (GNU automake) 1.4" +USAGE=" +You need to install: + libtool-1.2d + autoconf-2.13 + automake-2.4 +" + +[ "`libtoolize --version`" != "$LTV" ] && echo "$USAGE" && exit 1 +[ "`autoconf --version`" != "...
bash
d_bash_13288
--- +++ @@ -17,4 +17,4 @@ PROJECT_ID=$1 gcloud config set project ${PROJECT_ID} -gcloud builds submit . --config ./scripts/container/fastqc-0.11.9a/cloudbuild.yaml +gcloud builds submit . --config ./scripts/build/container/fastqc-0.11.9a/cloudbuild.yaml
bash
d_bash_13289
--- +++ @@ -1,16 +1,21 @@ #!/usr/bin/env bash set -ev +# FIXME: if the libraries are already inside the wheel, why do we have +# to provide them to auditwheel again? It would be ideal if we could +# avoid this script entirely. + # We have to include the avogadro library in Linux's LD_LIBRARY_PATH, -# or auditwhe...
bash
d_bash_13290
--- +++ @@ -4,7 +4,7 @@ B=$((RANDOM%2)) CMD="http --verify no \ --json POST \ - https://nkkmfsfq10.execute-api.us-west-1.amazonaws.com/adpevents/ chnl=${R} \ + https://staging-adp-events.orfeo.io/staging chnl=${R} \ eid=${R}...
bash
d_bash_13291
--- +++ @@ -12,7 +12,7 @@ echo -e "subject: OSS" >> $LICENSEFILE echo -e "---\n" >> $LICENSEFILE echo -e "# Licenses of Dependencies\n" >> $LICENSEFILE -echo -e "More information about this file can be found [here](https://github.com/creativesoftwarefdn/weaviate/tree/develop/docs/en/contribute).\n" >> $LICENSEFILE...
bash
d_bash_13292
--- +++ @@ -4,7 +4,7 @@ code --install-extension christian-kohler.path-intellisense code --install-extension dbaeumer.vscode-eslint code --install-extension donjayamanne.githistory -code --install-extension golf1052.theme-base16-ocean +code --install-extension gerane.Theme-FlatlandMonokai code --install-extension...
bash
d_bash_13293
--- +++ @@ -12,4 +12,11 @@ mkdir -pv "$1/etc/pcid" cp -v initfs.toml "$1/etc/pcid/initfs.toml" cp -v filesystem.toml "$1/etc/pcid/filesystem.toml" + + mkdir -pv "$1/etc/pcid.d" + for conf in `find . -maxdepth 2 -type f -name 'config.toml'`; do + driver=$(echo $conf | cut -d '/' -f2) + ...
bash
d_bash_13294
--- +++ @@ -1,4 +1,4 @@ #!/bin/sh -e # Usage: `sudo sh gulp-tracer.sh' -strace -tp $(pgrep -l gulp | awk '{ print $1}') -etrace=file +strace -tp $(pgrep -l gulp | awk '{ print $1}') -etrace=stat -esignal=none
bash
d_bash_13295
--- +++ @@ -2,11 +2,11 @@ # build config # PACKAGES="" -RIEMANN_VERSION="0.2.11" +RIEMANN_VERSION="0.2.12" configure_bob() { - wget https://aphyr.com/riemann/riemann-${RIEMANN_VERSION}.tar.bz2 - wget https://aphyr.com/riemann/riemann-${RIEMANN_VERSION}.tar.bz2.md5 + wget https://github.com/riemann/riem...
bash
d_bash_13296
--- +++ @@ -1,21 +1,34 @@ function echo_last_result(){ local prev_num=0 local capture_option='' - while getopts cn: opt - do + local ignore_blank_result=0 + while getopts cn:sl: opt; do case $opt in n) prev_num=$OPTARG;; c) capture_option="-e "$capture_option;; + s) ignore_blank_result=1 esac d...
bash
d_bash_13297
--- +++ @@ -1,3 +1,6 @@ #!/bin/bash -npm run testops +exit 0 +# TODO something about this is broken +# tracked in https://github.com/the-blue-alliance/the-blue-alliance/issues/4698 +# npm run testops
bash
d_bash_13298
--- +++ @@ -12,9 +12,6 @@ VERSION="$2" MAVEN_RELEASE_SETTINGS=${CD_DIR}/settings.xml -GPG_TTY=$(tty) -export GPG_TTY - if [ "${RELEASE_TYPE}" == "release" ] && [ ! -z "${VERSION}" ]; then echo -e "[INFO] on a tag -> set pom.xml <version> to ${VERSION}"
bash
d_bash_13299
--- +++ @@ -6,31 +6,36 @@ exit 1; fi -if (which dpkg-query >/dev/null && ! dpkg-query --show 'lsb-release' >/dev/null); then - apt-get -o Acquire::ForceIPv4=true update - apt-get install -qy lsb-release -fi - if (which puppet >/dev/null); then exit 0 fi -if (which lsb_release >/dev/null && lsb_release -...
bash